%define tarname Jinja2
%define name	python-jinja2
%define version 2.5.5
%define release %mkrel 8
%define subrel	2
# jinja requires itself ( as python-sphinx use it ) to build doc
%define enable_doc 1

Summary:	Python template engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
Patch0:		python-jinja2-2.5.5-mga-CVE-2014-1402.patch
License:	BSD
Group:		Development/Python
Url:		http://jinja.pocoo.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
# weird, should maybe be removed ( misc ) 17/01/2011
Obsoletes:	python-jinja
Suggests:	python-markupsafe
BuildRequires:	python-devel
BuildRequires:	python-setuptools < 0.9.8
%if %enable_doc
BuildRequires:	python-sphinx
%endif

%description
Jinja2 is a library for Python 2.4 and onwards that is designed to be
flexible, fast and secure. If you have any exposure to other
text-based template languages, such as Smarty or Django, you should
feel right at home with Jinja2. It's both designer and developer
friendly by sticking to Python's principles and adding functionality
useful for templating environments.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build 
%if %enable_doc
%make -C docs html
%endif

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
%__rm -rf docs/_build/html/.buildinfo

%check
make test

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE examples 
%if %enable_doc
%doc docs/_build/html
%endif


%changelog
* Tue Jan 21 2014 philippem <philippem> 2.5.5-8.2.mga3
+ Revision: 567350
- fix CVE-2014-0012 in previous CVE-2014-1402 patch
- fix CVE-2014-1402 mga#12265

* Sun Jan 13 2013 umeabot <umeabot> 2.5.5-8.mga3
+ Revision: 379029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 2.5.5-7.mga1
+ Revision: 55646
- re-enable doc building now that the pythonegg requires/provides are lowercase
  and python-sphinx can be intalled

* Mon Feb 21 2011 ahmad <ahmad> 2.5.5-6.mga1
+ Revision: 55614
- disable doc building
- rebuild to make all pythonegg requires/provides lowercase
- enable building the docs, python-sphinx is available now

* Mon Jan 17 2011 misc <misc> 2.5.5-5.mga1
+ Revision: 21027
- rebuild for python 2.7
- clean versionning, add a comment to the Obsoletes on previous version

* Thu Jan 13 2011 ahmad <ahmad> 2.5.5-4.mga1
+ Revision: 8337
- disable building the docs for now
- imported package python-jinja2

